Update collection
Update collection fields such as name, description, status.
PATCH
/collections/{id}
Update collection fields such as name, description, status.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Request Body required
Request body
application/jsonname
string
Collection name
description
string
Optional description
primary_key_path
string
JSONPath to the record primary key
event_type_field
string
Field used to determine event type
status
string
Collection status
Enum:
active, paused, disabledResponses
200
Updated collection
application/jsoncollection
object | null
REQUIRED
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
name
string
REQUIRED
slug
string
REQUIRED
source_id
string
REQUIRED
primary_key_path
string
REQUIRED
event_type_field
string | null
REQUIRED
description
string | null
REQUIRED
status
string
REQUIRED
record_count
integer
REQUIRED
last_sync_at
string | null
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
backfill_status
string | null
REQUIRED
backfill_progress
integer | null
REQUIRED
backfill_total
integer | null
REQUIRED
backfill_cursor
string | null
REQUIRED
backfill_started_at
string | null
REQUIRED
backfill_completed_at
string | null
REQUIRED
backfill_error
string | null
REQUIRED
source_name
string | null
REQUIRED
400
Bad request
401
Unauthorized
404
Not found
curl -X PATCH 'https://hookstream.io/v1/collections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "description": "string", "primary_key_path": "string", "event_type_field": "string", "status": "active"}'
const response = await fetch('https://hookstream.io/v1/collections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "description": "string", "primary_key_path": "string", "event_type_field": "string", "status": "active" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://hookstream.io/v1/collections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers, json={ "name": "string", "description": "string", "primary_key_path": "string", "event_type_field": "string", "status": "active"})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{ "name": "string", "description": "string", "primary_key_path": "string", "event_type_field": "string", "status": "active"}`) req, _ := http.NewRequest("PATCH", "https://hookstream.io/v1/collections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "collection": { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "name": "<string>", "slug": "<string>", "source_id": "<string>", "primary_key_path": "<string>", "event_type_field": "<string>", "description": "<string>", "status": "<string>", "record_count": 123, "last_sync_at": "<string>", "created_at": "<string>", "updated_at": "<string>", "backfill_status": "<string>", "backfill_progress": 123, "backfill_total": 123, "backfill_cursor": "<string>", "backfill_started_at": "<string>", "backfill_completed_at": "<string>", "backfill_error": "<string>", "source_name": "<string>" }}
API Playground
Try this endpoint
PATCH
/collections/{id}